Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585269 - 5.4, 5.4.x, 5.5 client panic (vmcore available) [NEEDINFO]
5.4, 5.4.x, 5.5 client panic (vmcore available)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 11:09 EDT by mylinuxhalist
Modified: 2014-06-03 08:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-03 08:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pm-rhel: needinfo? (mylinuxhalist)


Attachments (Terms of Use)

  None (edit)
Description mylinuxhalist 2010-04-23 11:09:52 EDT
Description of problem:
  Clients panic. 
  [ I have the vmcore dump available, if interested, please provide a space to upload ].

Version-Release number of selected component (if applicable):
  5.4, 5.4.x, 5.5

How reproducible:
  Very. Happens with Broadcom NICs and Intel NICs (so, it's not likely to be driver-related).

Steps to Reproduce:
1. Setup clients to mount NFSv3. 
2. Start several write intensive operations on the NFS-mounted space
3. Restart the nfs,nfslock multiple times.

Work-around is to mount NFS with UDP. I couldn't get it to panic with UDP mount option.
However, NFSv4 does not allow TCP.

The bug may be relate to TCP (rather than NFS).

Actual results:
Clients panic'ed.

Expected results:
Client should not panic. The NFS write operations should continue operations upon server NFS restart.

Additional info:
crash> set scroll off
crash> bt -a

      KERNEL: vmlinux
    DUMPFILE: vmcore
        CPUS: 8
        DATE: Wed Apr 21 16:04:41 2010
      UPTIME: 00:04:49
LOAD AVERAGE: 3.60, 2.04, 0.82
       TASKS: 194
     RELEASE: 2.6.18-164.el5
     VERSION: #1 SMP Thu Sep 3 04:15:13 EDT 2009
     MACHINE: x86_64  (2793 Mhz)
      MEMORY: 3.9 GB
       PANIC: "Oops: 0000 [1] SMP " (check log for details)
crash> bt -a
PID: 0      TASK: ffffffff802ffae0  CPU: 0   COMMAND: "swapper"
 #0 [ffffffff8043ef20] crash_nmi_callback at ffffffff8007a3bf
 #1 [ffffffff8043ef40] do_nmi at ffffffff8006585a
 #2 [ffffffff8043ef50] nmi at ffffffff80064ebf
    [exception RIP: mwait_idle+54]
    RIP: ffffffff800571f4  RSP: ffffffff803f1f90  RFLAGS: 00000246
    RAX: 0000000000000000  RBX: ffffffff800571be  RCX: 0000000000000000
    RDX: 0000000000000000  RSI: 0000000000000001  RDI: ffffffff80301698
    RBP: 0000000000090000   R8: ffffffff803f0000   R9: 000000000000003b
    R10: ffff8100090056f0  R11: ffffffff802ffae0  R12: 0000000000000000
    R13: 0000000000000000  R14: 0000000000000000  R15: 0000000000000000
    ORIG_RAX: ffffffffffffffff  CS: 0010  SS: 0018
--- <exception stack> ---
 #3 [ffffffff803f1f90] mwait_idle at ffffffff800571f4
 #4 [ffffffff803f1f90] cpu_idle at ffffffff8004939e
PID: 0      TASK: ffff810104714100  CPU: 1   COMMAND: "swapper"
 #0 [ffff810104738f20] crash_nmi_callback at ffffffff8007a3bf
 #1 [ffff810104738f40] do_nmi at ffffffff8006585a
 #2 [ffff810104738f50] nmi at ffffffff80064ebf
    [exception RIP: mwait_idle+54]
    RIP: ffffffff800571f4  RSP: ffff81010472fef0  RFLAGS: 00000246
    RAX: 0000000000000000  RBX: ffffffff800571be  RCX: 0000000000000000
    RDX: 0000000000000000  RSI: 0000000000000001  RDI: ffffffff80301698
    RBP: 0000000000000001   R8: ffff81010472e000   R9: 000000000000003a
    R10: ffff81000900dcf0  R11: 0000000000000202  R12: 00000000000000ff
    R13: ffffffff803c8080  R14: 0000000000000100  R15: ffffffff803ea280
    ORIG_RAX: ffffffffffffffff  CS: 0010  SS: 0018
--- <exception stack> ---
 #3 [ffff81010472fef0] mwait_idle at ffffffff800571f4
 #4 [ffff81010472fef0] cpu_idle at ffffffff8004939e
PID: 0      TASK: ffff810104723080  CPU: 2   COMMAND: "swapper"
 #0 [ffff81010476bbc0] crash_kexec at ffffffff800ac5b9
 #1 [ffff81010476bc80] __die at ffffffff80065127
 #2 [ffff81010476bcc0] do_page_fault at ffffffff80066da7
 #3 [ffff81010476bdb0] error_exit at ffffffff8005dde9
    [exception RIP: pskb_copy+307]
    RIP: ffffffff8022486b  RSP: ffff81010476be60  RFLAGS: 00010286
    RAX: ffff81013fef95a0  RBX: ffff81013177c380  RCX: ffff81013e71e5b0
    RDX: 0000000000000000  RSI: ffff81013fef95b0  RDI: 000000000000000a
    RBP: ffff810126420d80   R8: 0000000000000001   R9: 0000000000000000
    R10: ffff81013177c380  R11: 00000000000000c8  R12: 0000000000000220
    R13: ffff810126420d80  R14: 0000000000000002  R15: ffffffff803ea2a0
    ORIG_RAX: ffffffffffffffff  CS: 0010  SS: 0018
 #4 [ffff81010476be78] tcp_transmit_skb at ffffffff800217b7
 #5 [ffff81010476bec8] tcp_retransmit_skb at ffffffff80250ccd
 #6 [ffff81010476bf08] tcp_write_timer at ffffffff80252652
 #7 [ffff81010476bf28] run_timer_softirq at ffffffff800968be
 #8 [ffff81010476bf58] __do_softirq at ffffffff8001235a
 #9 [ffff81010476bf88] call_softirq at ffffffff8005e2fc
#10 [ffff81010476bfa0] do_softirq at ffffffff8006cb14
#11 [ffff81010476bfb0] apic_timer_interrupt at ffffffff8005dc8e
--- <IRQ stack> ---
#12 [ffff810104767e48] apic_timer_interrupt at ffffffff8005dc8e
    [exception RIP: mwait_idle+54]
    RIP: ffffffff800571f4  RSP: ffff810104767ef0  RFLAGS: 00000246
    RAX: 0000000000000000  RBX: 0000000000000002  RCX: 0000000000000000
    RDX: 0000000000000000  RSI: 0000000000000001  RDI: ffffffff80301698
    RBP: ffff810104723270   R8: ffff810104766000   R9: 0000000000000039
    R10: ffff8100090162f0  R11: ffff81012fd23b20  R12: 0000000036cc76e4
    R13: 000000516b3a0468  R14: ffff8101317a1820  R15: ffff810104723080
    ORIG_RAX: ffffffffffffff10  CS: 0010  SS: 0018
#13 [ffff810104767ef0] cpu_idle at ffffffff8004939e
PID: 0      TASK: ffff810104797100  CPU: 3   COMMAND: "swapper"
 #0 [ffff8101047bbf20] crash_nmi_callback at ffffffff8007a3bf
 #1 [ffff8101047bbf40] do_nmi at ffffffff8006585a
 #2 [ffff8101047bbf50] nmi at ffffffff80064ebf
    [exception RIP: mwait_idle+54]
    RIP: ffffffff800571f4  RSP: ffff8101047b9ef0  RFLAGS: 00000246
    RAX: 0000000000000000  RBX: ffffffff800571be  RCX: 0000000000000000
    RDX: 0000000000000000  RSI: 0000000000000001  RDI: ffffffff80301698
    RBP: 0000000000000003   R8: ffff8101047b8000   R9: 0000000000000038
    R10: ffff81000901e8f0  R11: ffff81013e9afd30  R12: 00000000000000ff
    R13: ffffffff803c8280  R14: 0000000000000300  R15: ffffffff803ea2c0
    ORIG_RAX: ffffffffffffffff  CS: 0010  SS: 0018
--- <exception stack> ---
 #3 [ffff8101047b9ef0] mwait_idle at ffffffff800571f4
 #4 [ffff8101047b9ef0] cpu_idle at ffffffff8004939e
PID: 0      TASK: ffff8101047a5080  CPU: 4   COMMAND: "swapper"
 #0 [ffff8101047f6f20] crash_nmi_callback at ffffffff8007a3bf
 #1 [ffff8101047f6f40] do_nmi at ffffffff8006585a
 #2 [ffff8101047f6f50] nmi at ffffffff80064ebf
    [exception RIP: mwait_idle+54]
    RIP: ffffffff800571f4  RSP: ffff8101047edef0  RFLAGS: 00000246
    RAX: 0000000000000000  RBX: ffffffff800571be  RCX: 0000000000000000
    RDX: 0000000000000000  RSI: 0000000000000001  RDI: ffffffff80301698
    RBP: 0000000000000004   R8: ffff8101047ec000   R9: 000000000000003b
    R10: ffff810009026ef0  R11: 0000000000000202  R12: 00000000000000ff
    R13: ffffffff803c8380  R14: 0000000000000400  R15: ffffffff803ea2e0
    ORIG_RAX: ffffffffffffffff  CS: 0010  SS: 0018
--- <exception stack> ---
 #3 [ffff8101047edef0] mwait_idle at ffffffff800571f4
 #4 [ffff8101047edef0] cpu_idle at ffffffff8004939e
PID: 0      TASK: ffff81013fc1c100  CPU: 5   COMMAND: "swapper"
 #0 [ffff81013fc48f20] crash_nmi_callback at ffffffff8007a3bf
 #1 [ffff81013fc48f40] do_nmi at ffffffff8006585a
 #2 [ffff81013fc48f50] nmi at ffffffff80064ebf
    [exception RIP: mwait_idle+54]
    RIP: ffffffff800571f4  RSP: ffff81013fc41ef0  RFLAGS: 00000246
    RAX: 0000000000000000  RBX: ffffffff800571be  RCX: 0000000000000000
    RDX: 0000000000000000  RSI: 0000000000000001  RDI: ffffffff80301698
    RBP: 0000000000000005   R8: ffff81013fc40000   R9: 000000000000003a
    R10: ffff81000902f4f0  R11: 0000000000000246  R12: 00000000000000ff
    R13: ffffffff803c8480  R14: 0000000000000500  R15: ffffffff803ea300
    ORIG_RAX: ffffffffffffffff  CS: 0010  SS: 0018
--- <exception stack> ---
 #3 [ffff81013fc41ef0] mwait_idle at ffffffff800571f4
 #4 [ffff81013fc41ef0] cpu_idle at ffffffff8004939e
PID: 0      TASK: ffff81013fc2b080  CPU: 6   COMMAND: "swapper"
 #0 [ffff81013fc7df20] crash_nmi_callback at ffffffff8007a3bf
 #1 [ffff81013fc7df40] do_nmi at ffffffff8006585a
 #2 [ffff81013fc7df50] nmi at ffffffff80064ebf
    [exception RIP: mwait_idle+54]
    RIP: ffffffff800571f4  RSP: ffff81013fc75ef0  RFLAGS: 00000246
    RAX: 0000000000000000  RBX: ffffffff800571be  RCX: 0000000000000000
    RDX: 0000000000000000  RSI: 0000000000000001  RDI: ffffffff80301698
    RBP: 0000000000000006   R8: ffff81013fc74000   R9: 0000000000000039
    R10: ffff810009037af0  R11: 0000000000000282  R12: 00000000000000ff
    R13: ffffffff803c8580  R14: 0000000000000600  R15: ffffffff803ea320
    ORIG_RAX: ffffffffffffffff  CS: 0010  SS: 0018
--- <exception stack> ---
 #3 [ffff81013fc75ef0] mwait_idle at ffffffff800571f4
 #4 [ffff81013fc75ef0] cpu_idle at ffffffff8004939e
PID: 0      TASK: ffff81013fc38100  CPU: 7   COMMAND: "swapper"
 #0 [ffff81013fcb2f20] crash_nmi_callback at ffffffff8007a3bf
 #1 [ffff81013fcb2f40] do_nmi at ffffffff8006585a
 #2 [ffff81013fcb2f50] nmi at ffffffff80064ebf
    [exception RIP: mwait_idle+54]
    RIP: ffffffff800571f4  RSP: ffff81013fca9ef0  RFLAGS: 00000246
    RAX: 0000000000000000  RBX: ffffffff800571be  RCX: 0000000000000000
    RDX: 0000000000000000  RSI: 0000000000000001  RDI: ffffffff80301698
    RBP: 0000000000000007   R8: ffff81013fca8000   R9: 0000000000000038
    R10: ffff8100090400f0  R11: ffff81013d009d80  R12: 00000000000000ff
    R13: ffffffff803c8680  R14: 0000000000000700  R15: ffffffff803ea340
    ORIG_RAX: ffffffffffffffff  CS: 0010  SS: 0018
--- <exception stack> ---
 #3 [ffff81013fca9ef0] mwait_idle at ffffffff800571f4
 #4 [ffff81013fca9ef0] cpu_idle at ffffffff8004939e
Comment 1 RHEL Product and Program Management 2014-03-07 07:44:44 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 2 RHEL Product and Program Management 2014-06-03 08:29:06 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.